MIBDefinition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.diagnostics
Interface MIBDefinition

    public interface MIBDefinition

This interface represents a MIB object that exposes its data type. See RFC 2578 for data type definition.

Field Summary
`static int` | `SNMP_TYPE_BITS` The BITS construct.
`static int` | `SNMP_TYPE_COUNTER32` Base type, application defined 32 bit counter.
`static int` | `SNMP_TYPE_COUNTER64` Base type, application defined 64 bit counter.
`static int` | `SNMP_TYPE_GAUGE32` Base type, application defined 32 bit gauge.
`static int` | `SNMP_TYPE_INTEGER` Base type, built-in ASN.1 integer type.
`static int` | `SNMP_TYPE_INVALID` Unrecognized type encountered.
`static int` | `SNMP_TYPE_IPADDRESS` Base type, application defined IP address.
`static int` | `SNMP_TYPE_OBJECTID` Base type, built-in ASN.1 OBJECT IDENTIFIER type.
`static int` | `SNMP_TYPE_OCTETSTRING` Base type, built-in ASN.1 string type.
`static int` | `SNMP_TYPE_OPAQUE` Base type, application defined opaque variable.
`static int` | `SNMP_TYPE_TIMETICKS` Base type, application defined time ticks.

Method Summary
`int` | `getDataType()` Gets the SNMP data type of the MIB.
`MIBObject` | `getMIBObject()` Gets the MIB object associated with this MIB definition.

Field Detail

### SNMP_TYPE_INVALID

    static final int SNMP_TYPE_INVALID

  Unrecognized type encountered. Not defined by RFC 2578.

  See Also:
    Constant Field Values

### SNMP_TYPE_INTEGER

    static final int SNMP_TYPE_INTEGER

  Base type, built-in ASN.1 integer type.

  See Also:
    Constant Field Values

### SNMP_TYPE_BITS

    static final int SNMP_TYPE_BITS

  The BITS construct.

  See Also:
    Constant Field Values

### SNMP_TYPE_OCTETSTRING

    static final int SNMP_TYPE_OCTETSTRING

  Base type, built-in ASN.1 string type.

  See Also:
    Constant Field Values

### SNMP_TYPE_OBJECTID

    static final int SNMP_TYPE_OBJECTID

  Base type, built-in ASN.1 OBJECT IDENTIFIER type.

  See Also:
    Constant Field Values

### SNMP_TYPE_IPADDRESS

    static final int SNMP_TYPE_IPADDRESS

  Base type, application defined IP address.

  See Also:
    Constant Field Values

### SNMP_TYPE_COUNTER32

    static final int SNMP_TYPE_COUNTER32

  Base type, application defined 32 bit counter.

  See Also:
    Constant Field Values

### SNMP_TYPE_GAUGE32

    static final int SNMP_TYPE_GAUGE32

  Base type, application defined 32 bit gauge.

  See Also:
    Constant Field Values

### SNMP_TYPE_TIMETICKS

    static final int SNMP_TYPE_TIMETICKS

  Base type, application defined time ticks.

  See Also:
    Constant Field Values

### SNMP_TYPE_OPAQUE

    static final int SNMP_TYPE_OPAQUE

  Base type, application defined opaque variable.

  See Also:
    Constant Field Values

### SNMP_TYPE_COUNTER64

    static final int SNMP_TYPE_COUNTER64

  Base type, application defined 64 bit counter.

  See Also:
    Constant Field Values

Method Detail

### getDataType

    int getDataType()

  Gets the SNMP data type of the MIB.

  Returns:
    An SNMP data type defined by constants in this interface.

### getMIBObject

    MIBObject getMIBObject()

  Gets the MIB object associated with this MIB definition.

  Returns:
    The MIB Object for this MIB definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD